/// <reference path="../types/jsx.d.ts" />
import { React } from "../deps.ts";

const styles = new TextDecoder().decode(
   Deno.readFileSync("src/views/styles.css")
);

export default function Base(d: any, children: any[]) {
   return (
      <html>
         <head>
            {/* <link
               rel="stylesheet"
               href="https://deno.hibas123.de/raw/@hibas123-theme@2.0.2/out/base.css"
            /> */}
            <link
               rel="stylesheet"
               href="https://unpkg.com/papercss@1.6.1/dist/paper.min.css"
            />
            <style innerHTML={styles}></style>
         </head>
         <body class="site">{children}</body>
      </html>
   );
}
